%define name	php-xdebug
%define version	5.0.4
%define rversion 1.3.2

%define modname xdebug
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A29_%{modname}.ini

Summary:	Provides functions for function traces and profiling for PHP5
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
License:	BSD-like
URL:		http://xdebug.org/
Source0:	http://www.xdebug.org/files/%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Source2:	xdebug-docs.tar.bz2
BuildRequires:	php-devel >= 5.0.4
#BuildRequires:	edit-devel
#BuildRequires:	termcap-devel
Provides:	php5-xdebug
Obsoletes:	php5-xdebug
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Xdebug extension helps you debugging your script by providing
a lot of valuable debug information.  The debug information that
Xdebug can provide includes the following: 

* stack and function traces in error messages with: 
  o full parameter display for user defined functions
  o function name, file name and line indications
  o support for member functions
* memory allocation
* protection for infinite recursions

Xdebug also provides: 

* profiling information for PHP scripts
* script execution analysis
* capabilities to debug your scripts interactively with a debug client

%prep

%setup -q -n %{modname}-%{rversion} -a2
[ "../package.xml" != "/" ] && mv ../package.xml .

%build

phpize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

# make the debugclient
pushd debugclient
    %configure2_5x
#	--with-libedit
    %make
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m755 debugclient/debugclient %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS Changelog LICENSE NEWS README xdebug-docs/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_bindir}/debugclient
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.3.2-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.3.2-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.3.2-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.3.2-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.3.2-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.3.2-1mdk
- rebuilt for php-5.0.3

* Tue Dec 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.3.2-1mdk
- initial mandrake package
